diff --git a/src/au/aulayer_cocoaui.mm b/src/au/aulayer_cocoaui.mm
index f62d0a00d..836ca57b1 100644
--- a/src/au/aulayer_cocoaui.mm
+++ b/src/au/aulayer_cocoaui.mm
@@ -195,12 +195,15 @@ - (id) initWithSurge: (SurgeGUIEditor *) cont preferredSize: (NSSize) size
 
 - (void) doIdle
 {
-    editController->idle();
+   if( editController )
+      editController->idle();
 }
 
 - (void) dealloc
 {
-    editController->close();
+   // You would think we want to editor->close() here, but we don't; by this point there's a good chance
+   // the AU host has killed our underlying editor object anyway.
+    editController = nullptr;
     if( idleTimer )
     {
         CFRunLoopTimerInvalidate( idleTimer );
diff --git a/src/common/gui/SurgeGUIEditor.cpp b/src/common/gui/SurgeGUIEditor.cpp
index 74e46366a..06fd2b1bf 100644
--- a/src/common/gui/SurgeGUIEditor.cpp
+++ b/src/common/gui/SurgeGUIEditor.cpp
@@ -1690,6 +1690,13 @@ bool PLUGIN_API SurgeGUIEditor::open(void* parent, const PlatformType& platformT
 
 void SurgeGUIEditor::close()
 {
+   if( editorOverlay )
+   {
+      frame->removeView( editorOverlay );
+      editorOverlayOnClose();
+      editorOverlayTag = "";
+      editorOverlay = nullptr;
+   }
 #if TARGET_VST2 // && WINDOWS
    // We may need this in other hosts also; but for now
    if (frame)
@@ -6792,4 +6799,4 @@ void SurgeGUIEditor::showMSEGEditor()
       msegEditSwitch->setValue( 1.0 );
       msegEditSwitch->invalid();
    }
-}
\ No newline at end of file
+}
